MacroDef (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.MacroDef,MacroDef class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class MacroDef

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.AntlibDefinition
                        |
                        +--org.apache.tools.ant.taskdefs.MacroDef

public class MacroDef
extends AntlibDefinition

Describe class `MacroDef` here.

Since:
  Ant 1.6

Nested Class Summary
`static class` | `MacroDef.Attribute` A nested element for the MacroDef task.
`static class` | `MacroDef.NestedSequential` The class corresponding to the sequential nested element.
`static class` | `MacroDef.TemplateElement` A nested element for the MacroDef task.
`static class` | `MacroDef.Text` A nested text element for the MacroDef task.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`MacroDef()`

Method Summary
`void` | `addConfiguredAttribute(MacroDef.Attribute attribute)` Add an attribute element.
`void` | `addConfiguredElement(MacroDef.TemplateElement element)` Add an element element.
`void` | `addConfiguredText(MacroDef.Text text)` Add the text element.
`MacroDef.NestedSequential` | `createSequential()` This is the sequential nested element of the macrodef.
`void` | `execute()` Create a new ant type based on the embedded tasks and types.
`java.util.List` | `getAttributes()`
`java.util.Map` | `getElements()`
`UnknownElement` | `getNestedTask()` Convert the nested sequential to an unknown element
`MacroDef.Text` | `getText()`
`static boolean` | `isValidNameCharacter(char c)` Check if a character is a valid character for an element or attribute name
`void` | `setName(java.lang.String name)` Name of the definition
`boolean` | `similar(java.lang.Object obj)` similar equality method for macrodef, ignores project and runtime info.

Methods inherited from class org.apache.tools.ant.taskdefs.AntlibDefinition
`getAntlibClassLoader, getURI, setAntlibClassLoader, setURI`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MacroDef

    public MacroDef()

Method Detail

### setName

    public void setName(java.lang.String name)

  Name of the definition

  Parameters:
    `name` - the name of the definition

### addConfiguredText

    public void addConfiguredText(MacroDef.Text text)

  Add the text element.

  Parameters:
    `text` - the nested text element to add
  Since:
    ant 1.6.1

### getText

    public MacroDef.Text getText()

  Returns:
    the nested text element
  Since:
    ant 1.6.1

### createSequential

    public MacroDef.NestedSequential createSequential()

  This is the sequential nested element of the macrodef.

  Returns:
    a sequential element to be configured.

### getNestedTask

    public UnknownElement getNestedTask()

  Convert the nested sequential to an unknown element

  Returns:
    the nested sequential as an unknown element.

### getAttributes

    public java.util.List getAttributes()

  Returns:
    the nested Attributes

### getElements

    public java.util.Map getElements()

  Returns:
    the nested elements

### isValidNameCharacter

    public static boolean isValidNameCharacter(char c)

  Check if a character is a valid character for an element or attribute name

  Parameters:
    `c` - the character to check
  Returns:
    true if the character is a letter or digit or '.' or '-' attribute name

### addConfiguredAttribute

    public void addConfiguredAttribute(MacroDef.Attribute attribute)

  Add an attribute element.

  Parameters:
    `attribute` - an attribute nested element.

### addConfiguredElement

    public void addConfiguredElement(MacroDef.TemplateElement element)

  Add an element element.

  Parameters:
    `element` - an element nested element.

### execute

    public void execute()

  Create a new ant type based on the embedded tasks and types.

  Overrides:
    `execute` in class `Task`

### similar

    public boolean similar(java.lang.Object obj)

  similar equality method for macrodef, ignores project and runtime info.

  Parameters:
    `obj` - an `Object` value
  Returns:
    a `boolean` value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.